function tasse(dx)
{
    var outer = new CurveBezierRevolution(100, 100,
        0.0, 0.0, 0.0,
        dx*2.0, dx*2.0, 1.0,
        1.0, 1.0, 2.0,
        1.0, 1.0, 3.0);
    var inner = new CurveBezierRevolution(100, 100,
        0.0, 0.0, 0.0,
        dx*2.0, dx*2.0, 1.0,
        1.0, 1.0, 2.0,
        1.0, 1.0, 3.0).scale(0.9).translate(0, 0, 0.4);

    union(outer.rotate(270,0,0).scale(1.5).translate(0,-1,0));
    difference(inner.rotate(270,0,0).scale(1.5).translate(0,-1,0));
    union(new Cylinder(1,0.3).translate(0,0,0.1).rotate(270,0,0).scale(1.5).translate(0,-1,0));
}

tasse(dx);
